#ifndef DYNAMIC_TTIME_WARPING_H
#define	DYNAMIC_TTIME_WARPING_H

#include <stdlib.h>
#include <math.h>
#include "config.h"
#include "matrix.h"
#include "list.h"

#define DTW_FAST_M 100
#define DTW_FAST_N 100

double dtw(matrix * A, matrix * B);
matrix *dtw2(matrix * A, matrix * B);
void dtw_add_way (list *L, double k, double l);
double dtw_kl (matrix * A, matrix * B);


#endif

